Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CChannelManager.WorkflowStep

    java.lang.Object
      org.jasig.portal.channels.CChannelManager.WorkflowStep

Enclosing class:
  CChannelManager

    protected class CChannelManager.WorkflowStep

extends java.lang.Object

Field Summary
`protected java.util.List` | `dataElements`
`protected java.lang.String` | `ID`
`protected java.lang.String` | `name`

Constructor Summary
`protected` | `CChannelManager.WorkflowStep(java.lang.String ID, java.lang.String name)`

Method Summary
`protected void` | `addDataElement(org.w3c.dom.Element dataElement)`
`protected java.lang.String` | `getID()`
`protected java.lang.String` | `getName()`
`protected void` | `setID(java.lang.String ID)`
`protected void` | `setName(java.lang.String name)`
`protected org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    protected java.lang.String ID

### name

    protected java.lang.String name

### dataElements

    protected java.util.List dataElements

Constructor Detail

### CChannelManager.WorkflowStep

    protected CChannelManager.WorkflowStep(java.lang.String ID,
                                           java.lang.String name)

Method Detail

### getID

    protected java.lang.String getID()

### getName

    protected java.lang.String getName()

### setID

    protected void setID(java.lang.String ID)

### setName

    protected void setName(java.lang.String name)

### addDataElement

    protected void addDataElement(org.w3c.dom.Element dataElement)

### toXML

    protected org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD